summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-txi
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-txi')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-txi21
1 files changed, 16 insertions, 5 deletions
diff --git a/Master/tlpkg/bin/tl-update-txi b/Master/tlpkg/bin/tl-update-txi
index ff05d7d5aeb..33d18fe8748 100755
--- a/Master/tlpkg/bin/tl-update-txi
+++ b/Master/tlpkg/bin/tl-update-txi
@@ -6,6 +6,8 @@
# install info/html/pdf. Don't delete info files since they are in the
# dist's. Unfortunately no easy way to do the same for pdf.
+: ${CTAN=/home/ftp/tex-archive}
+
texihtml="makeinfo --html --no-split"
texipdf="texi2pdf --quiet --clean"
@@ -22,7 +24,7 @@ xu=$Build/source/utils
#
do_dvipng() {
mypkg=dvipng
- cd $xk/$mypkg || exit 1
+ cd $xk/$mypkg/doc || exit 1
MV=cp mvcp-if-change $mypkg.info $infodir/
$texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/$mypkg/
$texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/$mypkg/
@@ -47,15 +49,23 @@ do_dvips() {
#
do_epspdf() {
mypkg=epspdf
- cd $Master/texmf-dist/doc/support/$mypkg || exit 1
- makeinfo --no-split $mypkg.info
- mvcp-if-change $mypkg.info $infodir/
+ cd $Master/texmf-dist/doc/support/$mypkg
+ #makeinfo --no-split $mypkg.info
+ #mvcp-if-change $mypkg.info $infodir/
+ #done as part of package update?
+}
+
+#
+do_fontname() {
+ mypkg=fontname
+ cd $CTAN/info/fontname
+ MV=cp mvcp-if-change $mypkg.info $infodir/
}
#
do_kpathsea() {
mypkg=kpathsea
- cd $xk/$mypkg || exit 1
+ cd $xk/$mypkg/doc || exit 1
MV=cp mvcp-if-change $mypkg.info $infodir/
$texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/$mypkg/
$texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/$mypkg/
@@ -73,6 +83,7 @@ do_web2c() {
do_dvipng
do_dvips
do_epspdf
+do_fontname
do_kpathsea
do_web2c